<?php

App::uses('BuzzSlidesAppModel', 'BuzzSlides.Model');

class Slide extends BuzzSlidesAppModel {

/**
 * Behaviors
 *
 * @var array
 */
	public $actsAs = array(
		'BuzzTranslate.Translatable'
	);

	public $imageSlots = array(
		'main' => array(
			'fields' => false,
			'slots' => 1
		)
	);

	public function getSlides() {
		$contain = ['Image'];
		$conditions = ['Slide.is_active' => true];
		$order = 'Slide.sequence ASC';
		return $this->find('all', compact('contain', 'conditions', 'order'));
	}

}
